---
# No tests suitable for atomic environment
# No tests suitable for container environment
# Tests suitable for classic environment
- hosts: localhost
  roles:
  - role: standard-test-source
    tags:
      - always

  - role: standard-test-basic
    tags:
      - classic
    tests:
      - upstream_test_suite:
          dir: source
          run: python3 tests/run_tests.py --installed

    required_packages:
      - cryptsetup
      - device-mapper-multipath
      - dosfstools
      - e2fsprogs
      - glibc-all-langpacks
      - lvm2-dbusd
      - mdadm
      - ndctl
      - nss-tools
      - nvme-cli
      - nvmetcli
      - python3-bytesize
      - python3-dbus
      - python3-packaging
      - python3-yaml
      - targetcli
      - vdo
      - volume_key
      - xfsprogs
